NM.1(1)

NAME
nm - list symbols from object files

SYNOPSIS
nm [ -a | --debug-syms ] [ -g | --extern-only ]
   [ -B ] [ -C | --demangle[=style] ] [ -D | --dynamic ]
   [ -s | --print-armap ] [ -A | -o | --print-file-name ]
   [ -n | -v | --numeric-sort ] [ -p | --no-sort ]
   [ -r | --reverse-sort ] [ --size-sort ] [ -u | --undefined-only ]
   [ -t radix | --radix=radix ] [ -P | --portability ]
   [ --target=bfdname ] [ -f format | --format=format ]
   [ --defined-only ] [-l | --line-numbers ] [ --no-demangle ]
   [ -V | --version ] [ -X 32_64 ] [ --help ] [ objfile... ]

DESCRIPTION
GNU nm lists the symbols from object files objfile.... If no object files are listed as arguments, nm assumes the file a.out.

For each symbol, nm shows:

•   The symbol value, in the radix selected by options (see below), or hexadecimal by default.

•   The symbol type. At least the following types are used; others are, as well, depending on the object file format. If lowercase, the symbol is local; if uppercase, the symbol is global (external).

A   The symbol's value is absolute, and will not be changed by further linking.

B   The symbol is in the uninitialized data section (known as BSS).

C   The symbol is common. Common symbols are uninitialized data. When linking, multiple common symbols may appear with the same name. If the symbol is defined anywhere, the common symbols are treated as undefined references.

OPTIONS

SEE ALSO

COPYRIGHT
Copyright (c) 1991, 92, 93, 94, 95, 96, 97, 98, 99, 2000, 2001 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".